Loading...
Searching...
No Matches
casacore::MSSelUtil< T > Class Template Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSSelUtil.h>`

## Static Public Member Functions

static Array< Float > | diffData (const Array< T > &data, const Array< Bool > &flag, const Array< Bool > &flagRow, Int diffAxis, Int window, Bool doMedian=False)
| Compute the absolute difference of the data, subtracting either the previous value (window==2) or the average over the window (window>2).

## Detailed Description

template<class T>
class casacore::MSSelUtil< T >

Helper class for MSFlagger with templated static function

### Intended use:

Internal

### Synopsis

Helper class for MSFlagger/DOms with templated static function to difference data in one of two directions.

Definition at line 44 of file MSSelUtil.h.

## Member Function Documentation

## diffData()

template<class T>

Array< Float > casacore::MSSelUtil< T >::diffData | ( | const Array< T > & | data,
|  | const Array< Bool > & | flag,
|  | const Array< Bool > & | flagRow,
|  | Int | diffAxis,
|  | Int | window,
|  | Bool | doMedian = False )

static

Compute the absolute difference of the data, subtracting either the previous value (window==2) or the average over the window (window>2).

If doMedian==True is specified, the median difference over the window is returned for window>2. Takes flagging into account. diffAxis==2,3: row or time, diffAxis==1: channel Handles 3d and 4d data arrays.

References casacore::False.

The documentation for this class was generated from the following file:

- ms/MSSel/MSSelUtil.h